Loading...
Searching...
No Matches
gsdiff.c File Reference

OGSF library - manipulating surfaces (lower level functions). More...

`#include <grass/ogsf.h>`
`#include "gsget.h"`
Include dependency graph for gsdiff.c:

Go to the source code of this file.

## Functions

void | gsdiff_set_SDscale (float scale)
| Set scale.
float | gsdiff_get_SDscale (void)
| Get scale.
void | gsdiff_set_SDref (geosurf *gsref)
| ADD.
geosurf * | gsdiff_get_SDref (void)
| ADD.
float | gsdiff_do_SD (float val, int offset)
| ADD.

## Detailed Description

OGSF library - manipulating surfaces (lower level functions).

GRASS OpenGL gsurf OGSF Library

Routines to set up automatic on-the-fly recalculation of surface elevations, doing a "scaled difference" using another surface for reference

Note that we're using a true difference here, between data set values, no translations, etc.

Todo
  generalize this concept to allow transform functions which are dependent on surfaces that are dependent on other surfaces, etc., as long as the dependency doesn't loop back.

(C) 1999-2008 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Bill Brown USACERL, GMSL/University of Illinois (November 1994)
  Doxygenized by Martin Landa <landa.martin gmail.com> (May 2008)

Definition in file gsdiff.c.

## Function Documentation

## gsdiff_do_SD()

float gsdiff_do_SD | ( | float | val,
|  | int | offset )

ADD.

Parameters

  val |
  offset |

Returns
  value

Definition at line 94 of file gsdiff.c.

References GET_MAPATT.

Referenced by gs_get_att_typbuff(), gsd_surf_const(), and gsd_wire_surf_const().

## gsdiff_get_SDref()

geosurf * gsdiff_get_SDref | ( | void |  | ) |

ADD.

Returns
  pointer to geosurf struct

Definition at line 77 of file gsdiff.c.

References NULL.

Referenced by gs_get_att_typbuff(), GS_get_SDsurf(), gsd_surf_const(), and gsd_wire_surf_const().

## gsdiff_get_SDscale()

float gsdiff_get_SDscale | ( | void |  | ) |

Get scale.

Returns
  scale value

Definition at line 54 of file gsdiff.c.

Referenced by GS_get_SDscale().

## gsdiff_set_SDref()

void gsdiff_set_SDref | ( | geosurf * | gsref | ) |

ADD.

Parameters

  gsref |

Definition at line 64 of file gsdiff.c.

References gs_get_att_typbuff().

Referenced by GS_set_SDsurf(), and GS_unset_SDsurf().

## gsdiff_set_SDscale()

void gsdiff_set_SDscale | ( | float | scale | ) |

Set scale.

Parameters

  scale | value

Definition at line 42 of file gsdiff.c.

Referenced by GS_set_SDscale().